#include <bits/stdc++.h>
using namespace std;

bool poredjenje_parova(const pair<long double,long double>&p1, const pair<long double,long double>&p2){
    if(p1.second >= p2.second) return true;
    else return false;
}
int main()
{
    cout.precision(17);
    int N;
    cin>>N;
    pair <long double, long double> niz[N];
    for(int i = 0;i < N;i++){
        cin >> niz[i].first >> niz[i].second;
    }
    sort(niz, niz + N, poredjenje_parova);

    long double Az = 0;
    for(int i = 0;i < N;i++){
        Az = Az + niz[i].first;
    }
    long double A[N];
    for(int i = 0;i < N;i++){
        A[i] = Az/100.0 * niz[N-i-1].second;
        Az = Az - niz[N-i-1].first;
    }

    long double maxi = A[0];
    for(int i = 0;i < N;i++){
        if(A[i] > maxi)
            maxi = A[i];
    }
    cout<<maxi;
}